<template>
  <div class="hello">
    <div class="container">
      <div class="item item--fill">
        <Card>
          <template v-slot:header>
            <h1>Секции</h1>
          </template>
          <template v-slot:body>
            <ul>
              <router-link
                v-for="(component, index) in components"
                :key="index"
                :to="`/admin/components/${component}`"
              >
                <li>
                  {{ component }}
                </li>
              </router-link>
            </ul>
          </template>
        </Card>
      </div>
    </div>
  </div>
</template>

<script>
import { onMounted } from "vue";
import Card from "../../components/Card";
import site_components from "sc/index";

export default {
  components: {
    Card,
  },
  setup() {
    onMounted(async () => {});

    return {
      components: Object.keys(site_components.sections),
    };
  },
};
</script>

<style scoped lang="scss">
.container {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -16px;

  > .item {
    width: calc(100% / 3 - 16px);
    margin: 8px;

    &.item--fill {
      width: 100%;
    }
  }
}
</style>
